For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
  • Deprecated
      • GETLists fine-tuned models.
      • POSTTrains and deploys a fine-tuned model.
      • PATCHUpdates a fine-tuned model.
      • GETReturns a fine-tuned model by ID.
      • DELDeletes a fine-tuned model.
      • GETFetch history of statuses for a fine-tuned model.
      • GETRetrieve training metrics for fine-tuned models.
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Deprecatedv1/finetuning

Fetch history of statuses for a fine-tuned model.

Deprecated
GET
https://api.cohere.com/v1/finetuning/finetuned-models/:finetuned_model_id/events
GET
/v1/finetuning/finetuned-models/:finetuned_model_id/events
1import cohere
2
3co = cohere.Client()
4response = co.finetuning.list_events(finetuned_model_id="test-id")
5print(response)
1{
2 "events": [
3 {
4 "user_id": "7a317d97-4d05-427d-9396-f31b9fb92c55",
5 "status": "STATUS_QUEUED",
6 "created_at": "2024-01-15T09:30:00Z"
7 },
8 {
9 "user_id": "7a317d97-4d05-427d-9396-f31b9fb92c55",
10 "status": "STATUS_FINETUNING",
11 "created_at": "2024-01-15T09:30:00Z"
12 },
13 {
14 "user_id": "7a317d97-4d05-427d-9396-f31b9fb92c55",
15 "status": "STATUS_DEPLOYING_API",
16 "created_at": "2024-01-15T09:30:00Z"
17 },
18 {
19 "status": "STATUS_READY",
20 "created_at": "2024-01-15T09:30:00Z"
21 }
22 ],
23 "total_size": 5
24}

Returns a list of events that occurred during the life-cycle of the fine-tuned model. The events are ordered by creation time, with the most recent event first. The list can be paginated using page_size and page_token parameters.

Was this page helpful?
Previous

Retrieve training metrics for fine-tuned models.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

finetuned_model_idstringRequired

The parent fine-tuned model ID.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Query parameters

page_sizeintegerOptional
Maximum number of results to be returned by the server. If 0, defaults to 50.
page_tokenstringOptional
Request a specific page of the list results.
order_bystringOptional
Comma separated list of fields. For example: "created_at,name". The default sorting order is ascending. To specify descending order for a field, append " desc" to the field name. For example: "created_at desc,name". Supported sorting fields: - created_at (default)

Response

A successful response.
eventslist of objects

List of events for the fine-tuned model.

next_page_tokenstring
Pagination token to retrieve the next page of results. If the value is "", it means no further results for the request.
total_sizeinteger
Total count of results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error

Comma separated list of fields. For example: “created_at,name”. The default sorting order is ascending. To specify descending order for a field, append ” desc” to the field name. For example: “created_at desc,name”.

Supported sorting fields:

  • created_at (default)